Infra Roles - Get

Returnerar beskrivningen av den begärda infrastrukturrollen.

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Fabric.Admin/fabricLocations/{location}/infraRoles/{infraRole}?api-version=2016-05-01

URI-parametrar

Name I Obligatorisk Typ Description
infraRole
path True

string

Namn på infrastrukturroll.

location
path True

string

Resursens plats.

resourceGroupName
path True

string

Namnet på resursgruppen.

subscriptionId
path True

string

Prenumerationsautentiseringsuppgifter som unikt identifierar Microsoft Azure-prenumeration. Prenumerations-ID:t utgör en del av URI:n för varje tjänstanrop.

api-version
query True

string

Klient-API-version.

Svar

Name Typ Description
200 OK

InfraRole

OK

404 Not Found

HITTADES INTE

Säkerhet

azure_auth

Auktorisering använder ett Azure Active Directory OAuth2-flöde.

Typ: oauth2
Flow: implicit
Auktoriseringswebbadress: https://login.microsoftonline.com/common/oauth2/authorize

Omfattningar

Name Description
user_impersonation personifiera ditt användarkonto

Exempel

Returns the requested infrastructure role description.

Exempelbegäran

GET https://management.azure.com/subscriptions/20ff7fc3-e762-44dd-bd96-b71116dcdc23/resourceGroups/System.local/providers/Microsoft.Fabric.Admin/fabricLocations/local/infraRoles/Storage services?api-version=2016-05-01

Exempelsvar

{
  "id": "/subscriptions/23a94a7f-64b3-42d8-807c-733284339015/resourceGroups/System.local/providers/Microsoft.Fabric.Admin/fabricLocations/local/infraRoles/UsageServiceUser",
  "name": "UsageServiceUser",
  "type": "Microsoft.Fabric.Admin/fabricLocations/infraRoles",
  "location": "local",
  "tags": {},
  "properties": {
    "instances": [
      "subscriptions/23a94a7f-64b3-42d8-807c-733284339015/resourceGroups/system.local/providers/Microsoft.Fabric.Admin/fabricLocations/local/infraRoleInstances/AzS-WASP01"
    ],
    "displayName": "Usage service (User)",
    "restartable": false
  }
}

Definitioner

InfraRole

Beskrivning av infrastrukturroll.

Name Typ Description
id

string

Resursens URI.

location

string

Den region där resursen finns.

name

string

Namnet på resursen.

properties.displayName

string

Visningsnamn för infrastrukturrollen.

properties.instances

string[]

Lista över infrastrukturrollinstanser.

properties.restartable

boolean

Värde som anger om infrastrukturrollen kan startas om.

tags

object

Lista över nyckel/värde-par.

type

string

Typ av resurs.